<?php 
// Register widgetized areas
function paintable_wp_widgets_init() {

	register_sidebar( array (
		'name' => esc_html__( 'Sidebar #1 = Article Page', 'paintable-wp' ),
		'id' => 'sidebar_article_paintable_wp',
		'description'   => esc_html__( 'Add widgets here to appear in the sidebar.', 'paintable-wp' ),
		'before_widget' => '<div class="widget %2$s">',
		'after_widget' => '</div><div class="clear"></div>',
		'before_title' => '<div class="widget-title"><h3>',
		'after_title' => '</h3></div><div class="clear"></div>',
	) );

	register_sidebar( array (
		'name' => esc_html__( 'Sidebar #2 = Default Page', 'paintable-wp' ),
		'id' => 'sidebar_page_paintable_wp',
		'description'   => esc_html__( 'Add widgets here to appear in the sidebar.', 'paintable-wp' ),
		'before_widget' => '<div class="widget %2$s">',
		'after_widget' => '</div><div class="clear"></div>',
		'before_title' => '<div class="widget-title"><h3>',
		'after_title' => '</h3></div><div class="clear"></div>',
	) );

}

add_action( 'init', 'paintable_wp_widgets_init' );
?>