<?php
// ------------------------------------------------------
// ------ Posts by Tags  --------------------------
// ------ by Anthemes.net -------------------------------
//        http://themeforest.net/user/An-Themes/portfolio
//        http://themeforest.net/user/An-Themes/follow 
// ------------------------------------------------------

class paintable_wp_posttags extends WP_Widget {
     function __construct() {
      $widget_ops = array('description' => esc_html__('Posts by Tags', 'paintable-wp'));
        parent::__construct(false, $name = ''. esc_html__('Custom: Posts by Tags', 'paintable-wp') .'',$widget_ops);  
    }



    function widget($args, $instance) {   
        extract( $args );
        $number = $instance['number'];
        $title = $instance['title'];
        $arttag = $instance['arttag'];
?>



<?php echo $before_widget; ?>
<?php if ( $title ) echo $before_title . esc_attr($title) . $after_title; ?>

<ul class="article_list">
<?php $paintable_wp_poststags = new WP_Query( array( 'post_type' => 'post',  'ignore_sticky_posts' => 1,'tag' => esc_attr($arttag), 'posts_per_page' => esc_attr($number)) ); ?>
<?php while ( $paintable_wp_poststags->have_posts() ) : $paintable_wp_poststags->the_post(); ?>

    <li>
      <?php if ( has_post_thumbnail()) { ?>   
          <a href="<?php the_permalink(); ?>"> <?php echo the_post_thumbnail('paintable_wp_thumbnail-widget-small'); ?></a>
      <div class="author-il">
      <?php } else { ?>
      <div class="author-il-full">
      <?php } ?>
        <h3><a href="<?php the_permalink(); ?>"><?php the_title(); ?></a></h3>
        <?php if ( function_exists( 'time_ago_paintable_wp' ) ) { ?>
          <div class="time-ago"><span><?php echo  time_ago_paintable_wp(); ?> </span> <?php esc_html_e('ago', 'paintable-wp'); ?></div>                 
        <?php } ?>           
      </div>
    </li>
 
<?php endwhile; 
/* Restore original Post Data */
wp_reset_postdata(); ?>
</ul><div class="clear"></div>


<?php echo $after_widget; ?> 


<?php
    }
    function update($new_instance, $old_instance) {       
    $instance = $old_instance;
    $instance['title'] = strip_tags($new_instance['title']);
    $instance['number'] = strip_tags($new_instance['number']);
    $instance['arttag'] = strip_tags($new_instance['arttag']);
    return $instance;
    }

  function form( $instance ) {
  $instance = wp_parse_args( (array) $instance);
?>


        <p>
          <label for="<?php echo $this->get_field_id('title'); ?>"><?php esc_html_e( 'Title:', 'paintable-wp' ); ?></label> 
          <input class="widefat" id="<?php echo $this->get_field_id('title'); ?>" name="<?php echo $this->get_field_name('title'); ?>" type="text" value="<?php if( isset($instance['title']) ) echo esc_attr($instance['title']); ?>" />
        </p>

         <p>
          <label for="<?php echo $this->get_field_id('number'); ?>"><?php esc_html_e( 'Number of Posts:', 'paintable-wp' ); ?></label>      
          <input class="widefat" id="<?php echo $this->get_field_id('number'); ?>" name="<?php echo $this->get_field_name('number'); ?>" type="text" value="<?php if( isset($instance['number']) ) echo esc_attr($instance['number']); ?>" />
         </p> 
         
          <p>
          <label for="<?php echo $this->get_field_id('arttag'); ?>"><?php esc_html_e( 'Tag:', 'paintable-wp' ); ?></label>      
          <input class="widefat" id="<?php echo $this->get_field_id('arttag'); ?>" name="<?php echo $this->get_field_name('arttag'); ?>" type="text" value="<?php if( isset($instance['arttag']) ) echo esc_attr($instance['arttag']); ?>" />
         </p> 

<?php  } }

// register widget
function paintable_wp_posttags_init_widget () {
    return register_widget('paintable_wp_posttags');
  }
add_action ('widgets_init', 'paintable_wp_posttags_init_widget');
?>