<?php
    // Logo Footer
    $paintable_wp_logo_footer = get_theme_mod('paintable_wp_logo_footer');
    if (empty($paintable_wp_logo_footer)) { $paintable_wp_logo_footer = get_template_directory_uri().'/images/logo-footer.png'; }

    // Copyright
    $paintable_wp_copyright = get_theme_mod('paintable_wp_copyright'); 
?>
<!-- Begin Footer -->
<div class="clear"></div>
<footer>

    <div class="wrap-footer">
        <!-- Logo -->
        <div class="footer-logo-wrap">  
            <a href="<?php echo esc_url(home_url( '/' )); ?>"><img class="footer-logo" src="<?php echo esc_url($paintable_wp_logo_footer); ?>" alt="<?php esc_attr(bloginfo('sitename')); ?>" /></a>
        </div><!-- end .footer-logo-wrap -->

        <?php if (!empty($paintable_wp_copyright)) { ?>
          <?php echo wp_kses_post(stripslashes($paintable_wp_copyright)); ?>
        <?php } else { ?>
          <p><?php esc_html_e( 'Go to Theme Options > Footer Settings and add your Copyright text and logo and click Save All Changes!', 'paintable-wp' ); ?></p>
        <?php } ?>
    </div><!-- end .wrap-footer -->



	<p id="back-top"><a href="#top"><span></span></a></p>
</footer><!-- end #footer -->

<!-- Footer Theme output -->
<?php wp_footer();?>
</body>
</html>